Api referenceContracts
Get contract by ID
Retrieve a contract by its unique ID.
Path Parameters
id*string
Response Body
application/json
application/problem+json
curl -X GET "https://example.com/api/contract/string"{
"id": "string",
"organizationId": "string",
"hubspotDealId": "string",
"contractReference": "string",
"legalBusinessName": "string",
"legalRegisteredAddress": "string",
"signatoryName": "string",
"signatoryEmail": "string",
"signatoryTitle": "string",
"effectiveDate": "2019-08-24",
"expirationDate": "2019-08-24",
"termMonths": 0,
"autoRenew": true,
"renewalTermMonths": 0,
"cancellationNoticeDays": 0,
"bookingCoverageScope": "string",
"contractDocumentUrl": "string",
"contractSigningProvider": "string",
"contractSigningId": "string",
"signedDate": "2019-08-24",
"pricingTier": "string",
"baseRatePerNight": 0,
"currency": "string",
"status": "DRAFT",
"notes": "string",
"customTerms": [
{
"termName": "string",
"termDescription": "string"
}
],
"createdBy": "string",
"createdDate": "2019-08-24T14:15:22Z",
"lastModifiedBy": "string",
"lastModifiedDate": "2019-08-24T14:15:22Z",
"version": 0
}{
"type": "string",
"title": "string",
"status": 0,
"detail": "string",
"instance": "string"
}